#target photoshop

//Allık



//Generated Mon Feb 16 2015 22:17:52 GMT+0200


cTID = function(s) { return app.charIDToTypeID(s); };
sTID = function(s) { return app.stringIDToTypeID(s); };


//==================== Allık ==============

$._ext_noallik={
		run : function All_k() {
			// Make
			function step1(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putClass(cTID('AdjL'));
				desc1.putReference(cTID('null'), ref1);
				var desc2 = new ActionDescriptor();
				var desc3 = new ActionDescriptor();
				var desc4 = new ActionDescriptor();
				desc4.putString(cTID('Nm  '), "Foreground to Background");
				desc4.putEnumerated(cTID('GrdF'), cTID('GrdF'), cTID('CstS'));
				desc4.putDouble(cTID('Intr'), 4096);
				var list1 = new ActionList();
				var desc5 = new ActionDescriptor();
				var desc6 = new ActionDescriptor();
				desc6.putDouble(cTID('Rd  '), 157.000005841255);
				desc6.putDouble(cTID('Grn '), 106.0000012815);
				desc6.putDouble(cTID('Bl  '), 78.0000029504299);
				desc5.putObject(cTID('Clr '), sTID("RGBColor"), desc6);
				desc5.putEnumerated(cTID('Type'), cTID('Clry'), cTID('UsrS'));
				desc5.putInteger(cTID('Lctn'), 0);
				desc5.putInteger(cTID('Mdpn'), 50);
				list1.putObject(cTID('Clrt'), desc5);
				var desc7 = new ActionDescriptor();
				var desc8 = new ActionDescriptor();
				desc8.putDouble(cTID('Rd  '), 0);
				desc8.putDouble(cTID('Grn '), 0);
				desc8.putDouble(cTID('Bl  '), 0);
				desc7.putObject(cTID('Clr '), sTID("RGBColor"), desc8);
				desc7.putEnumerated(cTID('Type'), cTID('Clry'), cTID('UsrS'));
				desc7.putInteger(cTID('Lctn'), 4096);
				desc7.putInteger(cTID('Mdpn'), 50);
				list1.putObject(cTID('Clrt'), desc7);
				desc4.putList(cTID('Clrs'), list1);
				var list2 = new ActionList();
				var desc9 = new ActionDescriptor();
				desc9.putUnitDouble(cTID('Opct'), cTID('#Prc'), 100);
				desc9.putInteger(cTID('Lctn'), 0);
				desc9.putInteger(cTID('Mdpn'), 50);
				list2.putObject(cTID('TrnS'), desc9);
				var desc10 = new ActionDescriptor();
				desc10.putUnitDouble(cTID('Opct'), cTID('#Prc'), 100);
				desc10.putInteger(cTID('Lctn'), 4096);
				desc10.putInteger(cTID('Mdpn'), 50);
				list2.putObject(cTID('TrnS'), desc10);
				desc4.putList(cTID('Trns'), list2);
				desc3.putObject(cTID('Grad'), cTID('Grdn'), desc4);
				desc2.putObject(cTID('Type'), cTID('GdMp'), desc3);
				desc1.putObject(cTID('Usng'), cTID('AdjL'), desc2);
				executeAction(cTID('Mk  '), desc1, dialogMode);
			};

			// Set
			function step2(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('AdjL'), cTID('Ordn'), cTID('Trgt'));
				desc1.putReference(cTID('null'), ref1);
				var desc2 = new ActionDescriptor();
				var desc3 = new ActionDescriptor();
				desc3.putString(cTID('Nm  '), "Custom");
				desc3.putEnumerated(cTID('GrdF'), cTID('GrdF'), cTID('CstS'));
				desc3.putDouble(cTID('Intr'), 4096);
				var list1 = new ActionList();
				var desc4 = new ActionDescriptor();
				var desc5 = new ActionDescriptor();
				desc5.putDouble(cTID('Rd  '), 223.000001907349);
				desc5.putDouble(cTID('Grn '), 39.3540854752064);
				desc5.putDouble(cTID('Bl  '), 47.7782106399536);
				desc4.putObject(cTID('Clr '), sTID("RGBColor"), desc5);
				desc4.putEnumerated(cTID('Type'), cTID('Clry'), cTID('UsrS'));
				desc4.putInteger(cTID('Lctn'), 0);
				desc4.putInteger(cTID('Mdpn'), 50);
				list1.putObject(cTID('Clrt'), desc4);
				var desc6 = new ActionDescriptor();
				var desc7 = new ActionDescriptor();
				desc7.putDouble(cTID('Rd  '), 237.996368408203);
				desc7.putDouble(cTID('Grn '), 211.996765136719);
				desc7.putDouble(cTID('Bl  '), 187.997131347656);
				desc6.putObject(cTID('Clr '), sTID("RGBColor"), desc7);
				desc6.putEnumerated(cTID('Type'), cTID('Clry'), cTID('UsrS'));
				desc6.putInteger(cTID('Lctn'), 4096);
				desc6.putInteger(cTID('Mdpn'), 50);
				list1.putObject(cTID('Clrt'), desc6);
				desc3.putList(cTID('Clrs'), list1);
				var list2 = new ActionList();
				var desc8 = new ActionDescriptor();
				desc8.putUnitDouble(cTID('Opct'), cTID('#Prc'), 100);
				desc8.putInteger(cTID('Lctn'), 0);
				desc8.putInteger(cTID('Mdpn'), 50);
				list2.putObject(cTID('TrnS'), desc8);
				var desc9 = new ActionDescriptor();
				desc9.putUnitDouble(cTID('Opct'), cTID('#Prc'), 100);
				desc9.putInteger(cTID('Lctn'), 4096);
				desc9.putInteger(cTID('Mdpn'), 50);
				list2.putObject(cTID('TrnS'), desc9);
				desc3.putList(cTID('Trns'), list2);
				desc2.putObject(cTID('Grad'), cTID('Grdn'), desc3);
				desc1.putObject(cTID('T   '), cTID('GdMp'), desc2);
				executeAction(cTID('setd'), desc1, dialogMode);
			};

			// Select
			function step3(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Chnl'), cTID('Chnl'), sTID("RGB"));
				desc1.putReference(cTID('null'), ref1);
				desc1.putBoolean(cTID('MkVs'), false);
				executeAction(cTID('slct'), desc1, dialogMode);
			};

			// Set
			function step4(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
				desc1.putReference(cTID('null'), ref1);
				var desc2 = new ActionDescriptor();
				desc2.putString(cTID('Nm  '), "Allık");
				desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
				executeAction(cTID('setd'), desc1, dialogMode);
			};

			// Set
			function step5(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
				desc1.putReference(cTID('null'), ref1);
				var desc2 = new ActionDescriptor();
				desc2.putUnitDouble(cTID('Opct'), cTID('#Prc'), 50);
				desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
				executeAction(cTID('setd'), desc1, dialogMode);
			};

			// Layer Via Copy
			function step6(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				executeAction(sTID('copyToLayer'), undefined, dialogMode);
			};

			// Select
			function step7(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Chnl'), cTID('Chnl'), sTID("RGB"));
				desc1.putReference(cTID('null'), ref1);
				desc1.putBoolean(cTID('MkVs'), false);
				executeAction(cTID('slct'), desc1, dialogMode);
			};

			// Set
			function step8(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
				desc1.putReference(cTID('null'), ref1);
				var desc2 = new ActionDescriptor();
				desc2.putString(cTID('Nm  '), "Koyulaştırıcı");
				desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
				executeAction(cTID('setd'), desc1, dialogMode);
			};

			// Set
			function step9(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
				desc1.putReference(cTID('null'), ref1);
				var desc2 = new ActionDescriptor();
				desc2.putEnumerated(cTID('Md  '), cTID('BlnM'), cTID('Drkn'));
				desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
				executeAction(cTID('setd'), desc1, dialogMode);
			};

			// Set
			function step10(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
				desc1.putReference(cTID('null'), ref1);
				var desc2 = new ActionDescriptor();
				desc2.putEnumerated(cTID('Md  '), cTID('BlnM'), cTID('Mltp'));
				desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
				executeAction(cTID('setd'), desc1, dialogMode);
			};

			// Set
			function step11(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
				desc1.putReference(cTID('null'), ref1);
				var desc2 = new ActionDescriptor();
				desc2.putUnitDouble(cTID('Opct'), cTID('#Prc'), 30);
				desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
				executeAction(cTID('setd'), desc1, dialogMode);
			};

			// Make
			function step12(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putClass(cTID('AdjL'));
				desc1.putReference(cTID('null'), ref1);
				var desc2 = new ActionDescriptor();
				var desc3 = new ActionDescriptor();
				desc3.putEnumerated(sTID("presetKind"), sTID("presetKindType"), sTID("presetKindDefault"));
				desc3.putBoolean(cTID('Clrz'), false);
				desc2.putObject(cTID('Type'), cTID('HStr'), desc3);
				desc1.putObject(cTID('Usng'), cTID('AdjL'), desc2);
				executeAction(cTID('Mk  '), desc1, dialogMode);
			};

			// Select
			function step13(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Chnl'), cTID('Chnl'), sTID("RGB"));
				desc1.putReference(cTID('null'), ref1);
				desc1.putBoolean(cTID('MkVs'), false);
				executeAction(cTID('slct'), desc1, dialogMode);
			};

			// Set
			function step14(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
				desc1.putReference(cTID('null'), ref1);
				var desc2 = new ActionDescriptor();
				desc2.putString(cTID('Nm  '), "Hue");
				desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
				executeAction(cTID('setd'), desc1, dialogMode);
			};

			// Set
			function step15(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('AdjL'), cTID('Ordn'), cTID('Trgt'));
				desc1.putReference(cTID('null'), ref1);
				var desc2 = new ActionDescriptor();
				desc2.putEnumerated(sTID("presetKind"), sTID("presetKindType"), sTID("presetKindCustom"));
				var list1 = new ActionList();
				var desc3 = new ActionDescriptor();
				desc3.putInteger(cTID('LclR'), 1);
				desc3.putInteger(cTID('BgnR'), 315);
				desc3.putInteger(cTID('BgnS'), 345);
				desc3.putInteger(cTID('EndS'), 15);
				desc3.putInteger(cTID('EndR'), 45);
				desc3.putInteger(cTID('H   '), -1);
				desc3.putInteger(cTID('Strt'), 5);
				desc3.putInteger(cTID('Lght'), 0);
				list1.putObject(cTID('Hst2'), desc3);
				var desc4 = new ActionDescriptor();
				desc4.putInteger(cTID('LclR'), 2);
				desc4.putInteger(cTID('BgnR'), 15);
				desc4.putInteger(cTID('BgnS'), 45);
				desc4.putInteger(cTID('EndS'), 75);
				desc4.putInteger(cTID('EndR'), 105);
				desc4.putInteger(cTID('H   '), -2);
				desc4.putInteger(cTID('Strt'), 5);
				desc4.putInteger(cTID('Lght'), 0);
				list1.putObject(cTID('Hst2'), desc4);
				desc2.putList(cTID('Adjs'), list1);
				desc1.putObject(cTID('T   '), cTID('HStr'), desc2);
				executeAction(cTID('setd'), desc1, dialogMode);
			};

			// Select
			function step16(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putName(cTID('Lyr '), "Allık");
				desc1.putReference(cTID('null'), ref1);
				desc1.putEnumerated(sTID("selectionModifier"), sTID("selectionModifierType"), sTID("addToSelectionContinuous"));
				desc1.putBoolean(cTID('MkVs'), false);
				executeAction(cTID('slct'), desc1, dialogMode);
			};

			// Make
			function step17(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putClass(sTID("layerSection"));
				desc1.putReference(cTID('null'), ref1);
				var ref2 = new ActionReference();
				ref2.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
				desc1.putReference(cTID('From'), ref2);
				executeAction(cTID('Mk  '), desc1, dialogMode);
			};

			// Make
			function step18(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				desc1.putClass(cTID('Nw  '), cTID('Chnl'));
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Chnl'), cTID('Chnl'), cTID('Msk '));
				desc1.putReference(cTID('At  '), ref1);
				desc1.putEnumerated(cTID('Usng'), cTID('UsrM'), cTID('HdAl'));
				executeAction(cTID('Mk  '), desc1, dialogMode);
			};

			// Select
			function step19(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Chnl'), cTID('Chnl'), sTID("RGB"));
				desc1.putReference(cTID('null'), ref1);
				desc1.putBoolean(cTID('MkVs'), false);
				executeAction(cTID('slct'), desc1, dialogMode);
			};

			// Set
			function step20(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
				desc1.putReference(cTID('null'), ref1);
				var desc2 = new ActionDescriptor();
				desc2.putString(cTID('Nm  '), "Allık");
				desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
				executeAction(cTID('setd'), desc1, dialogMode);
			};

			// Reset
			function step21(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putProperty(cTID('Clr '), cTID('Clrs'));
				desc1.putReference(cTID('null'), ref1);
				executeAction(cTID('Rset'), desc1, dialogMode);
			};

			// Select
			function step22(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Chnl'), cTID('Chnl'), cTID('Msk '));
				desc1.putReference(cTID('null'), ref1);
				desc1.putBoolean(cTID('MkVs'), false);
				executeAction(cTID('slct'), desc1, dialogMode);
			};

//			// Stop
//			function step23(enabled, withDialog) {
//				if (enabled != undefined && !enabled)
//					return;
//				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
//				var desc1 = new ActionDescriptor();
//				desc1.putString(cTID('Msge'), "%30-40 Opaklık değerindeki beyaz fırça ile yanakları boyayınız.");
//				executeAction(cTID('Stop'), desc1, dialogMode);
//			};

			step1();      // Make
			step2();      // Set
			step3();      // Select
			step4();      // Set
			step5();      // Set
			step6();      // Layer Via Copy
			step7();      // Select
			step8();      // Set
			step9();      // Set
			step10();      // Set
			step11();      // Set
			step12();      // Make
			step13();      // Select
			step14();      // Set
			step15();      // Set
			step16();      // Select
			step17();      // Make
			step18();      // Make
			step19();      // Select
			step20();      // Set
			step21();      // Reset
			step22();      // Select
//			step23(true, true);      // Stop
		},
};



//=========================================
//All_k.main
//=========================================


//All_k.main = function () {
//All_k();
//};

//All_k.main();

////EOF

//"Allık"
//EOF
